AVC 0.8.3 released 15-Feb-2011
  * Added printing of the widget toolk version to testing printout.
  * Changed functions view_update and get_widget to be methods of class AVC.
  * Updated instructions for pdf manual generation.
  INTERNALS
  i Centralized version, author, license information: program and
    building scripts now read this info from reference strings defined in
    avccore.py.
  i Splitted dir structure into AVC source and debian binary build areas.
  i Source build control from shell script to scons.
  i All build shell scripts converted from shell to python. 

AVC 0.8.2 released 24-Dec-2009
  * Fixed wxWidgets ListCtrl not updating header on connected variable change.

AVC 0.8.1 released 1-Dec-2009
  * Fixed wxWidgets TreeCtrl not updating on connected variable change.

AVC 0.8.0 released 20-Nov-2009
  * Added support for java Swing widget toolkit, widgets: button,
    check box, combo box, label, progress bar, radio box, slider,
    spinner, table, text area, text field, toggle button, tree.
  * Changed real widget mapping: substituted eval of widget string names
    with dictionary of abstract widget classes keyed by real widget classes.
  * Added check for executed avc_init in avc_connect.
  * Added dual install capability to setup to cope with both python and jython.

AVC 0.7.1 released 20-Apr-2009
  * Cleanup of backup files in "examples" dir and restore of file
    "manual.pdf.readme" in "doc" dir.

AVC 0.7.0 released 26-Jan-2009
  * Added support for advanced widgets: list view and tree view.
  * Added support for progress bar widget.
  * New examples: a list tree view example for each supported toolkit.
  * Updated "showcase" examples to add progress bar.

AVC 0.6.1 released 26-Jan-2009
  * Added PDF documentation sources (ODT file and images).

AVC 0.6.0 released 10-Jun-2008
  * Added multiple matching namespaces: the attributes of each python
    object (class instance) can be matched against any given widget tree
    or subtree, independentely from all other objects.
  * Added dynamic connections: widget-variable connections can
    be created at any run time and removed automatically at widget deletion.
  * Changed importing: now AVC detect automatically the wanted widget
    toolkit, allowing the same import statement for all toolkits.
  * Extended separation between application logic and GUI to all toolkits.
  * Updated all examples programs to use the new api.
  * Rewritten all "counter" examples to demonstrate AVC support to
    separation between application logic and GUI.
  * New examples: a countdown example for each supported toolkit to
    demonstrate multiple matching namespaces and dynamic connections.
  * Structure cleanup: removed all cross references between AVC core and
    each toolkit binding, now all references are from core to bindings.

AVC 0.5.0 released 4-Feb-2008
  * Extended label widget output formatting to support generic python
    objects and to have a fallback to the standard python string
    representation (str()) when there is no formatting string or
    the formatting string is not valid.
  * New examples: a label formatting example program for each supported
    toolkit.
  * New examples: a programmatic version (GUI generated by program
    instructions) of the spin button/box/control example for each
    supported toolkit.
  * Added testing capability: activity report printout with
    selectable verbosity level.
  * Rewrited the widget abstraction layer: improved code structure,
    more compact, better separation among widget toolkit dependent code
    in AVC bindings and in AVC core code.
  * Anticipated the test for supported widget from coget creation
    (Coget.__init__()) to connections detector (_bind()): more efficient.

AVC 0.4.0 released 15-Dec-2007
  * Added support for wxWidgets widget toolkit, widgets: button,
    bitmap button, check button, choice, combo box, radio box, slider,
    spin control, static text, status bar, text control, toggle button.

AVC 0.3.0 released 30-Sep-2007
  * Added support for TK widget toolkit, widgets: button,
    check button, entry, label, radio button, scale, spin box, text.
  * Fixed input from Qt4 QdoubleSpinBox.
  * Fixed wrong type of formatting string for Qt3 and Qt4 label widget.
  * Added control type casting to string returned by entry widget.
  * New web site structure, user documentation moved from one html
    page to "User Manual"  in different formats: pdf, html.

AVC 0.2.0 released 30-Jan-2007
  * Added new widgets: combo box, slider, status bar (GTK+ only),
    text view/edit. 

AVC 0.1.0 released 10-Jan-2007
  * First release. 
